apiVersion: v1
items:
- apiVersion: operators.coreos.com/v1alpha1
  kind: InstallPlan
  metadata:
    creationTimestamp: "2022-11-04T11:59:11Z"
    generateName: install-
    generation: 1
    labels:
      operators.coreos.com/performance-addon-operator.openshift-performance-addon-operator: ""
    name: install-lxbkm
    namespace: openshift-performance-addon-operator
    ownerReferences:
    - apiVersion: operators.coreos.com/v1alpha1
      blockOwnerDeletion: false
      controller: false
      kind: Subscription
      name: openshift-performance-addon-operator-subscription
      uid: 77bfb254-6134-46c8-b61f-e5383028b8b5
    resourceVersion: "41693184"
    uid: 7083bbf8-ea7f-4d5c-9856-53b08ba83f43
  spec:
    approval: Automatic
    approved: true
    clusterServiceVersionNames:
    - performance-addon-operator.v4.10.9
    generation: 1
  status:
    bundleLookups:
    - catalogSourceRef:
        name: redhat-operators
        namespace: openshift-marketplace
      identifier: performance-addon-operator.v4.10.9
      path: registry.redhat.io/openshift4/performance-addon-operator-bundle-registry-container-rhel8@sha256:b5dbe0a07c78f660e7eb814b19b64324a1d039e38b1ef4272ce79579a24bd162
      properties: '{"properties":[{"type":"olm.package","value":{"packageName":"performance-addon-operator","version":"4.10.9"}},{"type":"olm.gvk","value":{"group":"performance.openshift.io","kind":"PerformanceProfile","version":"v1"}},{"type":"olm.gvk","value":{"group":"performance.openshift.io","kind":"PerformanceProfile","version":"v1alpha1"}},{"type":"olm.gvk","value":{"group":"performance.openshift.io","kind":"PerformanceProfile","version":"v2"}}]}'
      replaces: ""
    catalogSources: []
    conditions:
    - lastTransitionTime: "2022-11-04T12:00:29Z"
      lastUpdateTime: "2022-11-04T12:00:29Z"
      message: 'error validating existing CRs against new CRD''s schema for "performanceprofiles.performance.openshift.io":
        error listing resources in GroupVersionResource schema.GroupVersionResource{Group:"performance.openshift.io",
        Version:"v1", Resource:"performanceprofiles"}: conversion webhook for performance.openshift.io/v2,
        Kind=PerformanceProfile failed: Post "https://performance-operator-service.openshift-operators.svc:443/convert?timeout=30s":
        service "performance-operator-service" not found'
      reason: InstallComponentFailed
      status: "False"
      type: Installed
    message: 'error validating existing CRs against new CRD''s schema for "performanceprofiles.performance.openshift.io":
      error listing resources in GroupVersionResource schema.GroupVersionResource{Group:"performance.openshift.io",
      Version:"v1", Resource:"performanceprofiles"}: conversion webhook for performance.openshift.io/v2,
      Kind=PerformanceProfile failed: Post "https://performance-operator-service.openshift-operators.svc:443/convert?timeout=30s":
      service "performance-operator-service" not found'
    phase: Failed
    plan:
    - resolving: performance-addon-operator.v4.10.9
      resource:
        group: operators.coreos.com
        kind: ClusterServiceVersion
        manifest: '{"kind":"ConfigMap","name":"a481d6a901d73a7f171794082cff53536d40176a6b6132760287f11c53a823f","namespace":"openshift-marketplace","catalogSourceName":"redhat-operators","catalogSourceNamespace":"openshift-marketplace","replaces":"","properties":"{\"properties\":[{\"type\":\"olm.package\",\"value\":{\"packageName\":\"performance-addon-operator\",\"version\":\"4.10.9\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"performance.openshift.io\",\"kind\":\"PerformanceProfile\",\"version\":\"v1\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"performance.openshift.io\",\"kind\":\"PerformanceProfile\",\"version\":\"v1alpha1\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"performance.openshift.io\",\"kind\":\"PerformanceProfile\",\"version\":\"v2\"}}]}"}'
        name: performance-addon-operator.v4.10.9
        sourceName: redhat-operators
        sourceNamespace: openshift-marketplace
        version: v1alpha1
      status: Created
    - resolving: performance-addon-operator.v4.10.9
      resource:
        group: apiextensions.k8s.io
        kind: CustomResourceDefinition
        manifest: '{"kind":"ConfigMap","name":"a481d6a901d73a7f171794082cff53536d40176a6b6132760287f11c53a823f","namespace":"openshift-marketplace","catalogSourceName":"redhat-operators","catalogSourceNamespace":"openshift-marketplace","replaces":"","properties":"{\"properties\":[{\"type\":\"olm.package\",\"value\":{\"packageName\":\"performance-addon-operator\",\"version\":\"4.10.9\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"performance.openshift.io\",\"kind\":\"PerformanceProfile\",\"version\":\"v1\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"performance.openshift.io\",\"kind\":\"PerformanceProfile\",\"version\":\"v1alpha1\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"performance.openshift.io\",\"kind\":\"PerformanceProfile\",\"version\":\"v2\"}}]}"}'
        name: performanceprofiles.performance.openshift.io
        sourceName: redhat-operators
        sourceNamespace: openshift-marketplace
        version: v1
      status: Unknown
    - resolving: performance-addon-operator.v4.10.9
      resource:
        group: ""
        kind: ServiceAccount
        manifest: '{"kind":"ConfigMap","name":"a481d6a901d73a7f171794082cff53536d40176a6b6132760287f11c53a823f","namespace":"openshift-marketplace","catalogSourceName":"redhat-operators","catalogSourceNamespace":"openshift-marketplace","replaces":"","properties":"{\"properties\":[{\"type\":\"olm.package\",\"value\":{\"packageName\":\"performance-addon-operator\",\"version\":\"4.10.9\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"performance.openshift.io\",\"kind\":\"PerformanceProfile\",\"version\":\"v1\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"performance.openshift.io\",\"kind\":\"PerformanceProfile\",\"version\":\"v1alpha1\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"performance.openshift.io\",\"kind\":\"PerformanceProfile\",\"version\":\"v2\"}}]}"}'
        name: performance-operator
        sourceName: redhat-operators
        sourceNamespace: openshift-marketplace
        version: v1
      status: Unknown
    - resolving: performance-addon-operator.v4.10.9
      resource:
        group: rbac.authorization.k8s.io
        kind: Role
        manifest: '{"kind":"ConfigMap","name":"a481d6a901d73a7f171794082cff53536d40176a6b6132760287f11c53a823f","namespace":"openshift-marketplace","catalogSourceName":"redhat-operators","catalogSourceNamespace":"openshift-marketplace","replaces":"","properties":"{\"properties\":[{\"type\":\"olm.package\",\"value\":{\"packageName\":\"performance-addon-operator\",\"version\":\"4.10.9\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"performance.openshift.io\",\"kind\":\"PerformanceProfile\",\"version\":\"v1\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"performance.openshift.io\",\"kind\":\"PerformanceProfile\",\"version\":\"v1alpha1\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"performance.openshift.io\",\"kind\":\"PerformanceProfile\",\"version\":\"v2\"}}]}"}'
        name: performance-addon-operator.v4.10.9-performance-opera-7b88c95454
        sourceName: redhat-operators
        sourceNamespace: openshift-marketplace
        version: v1
      status: Unknown
    - resolving: performance-addon-operator.v4.10.9
      resource:
        group: rbac.authorization.k8s.io
        kind: RoleBinding
        manifest: '{"kind":"ConfigMap","name":"a481d6a901d73a7f171794082cff53536d40176a6b6132760287f11c53a823f","namespace":"openshift-marketplace","catalogSourceName":"redhat-operators","catalogSourceNamespace":"openshift-marketplace","replaces":"","properties":"{\"properties\":[{\"type\":\"olm.package\",\"value\":{\"packageName\":\"performance-addon-operator\",\"version\":\"4.10.9\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"performance.openshift.io\",\"kind\":\"PerformanceProfile\",\"version\":\"v1\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"performance.openshift.io\",\"kind\":\"PerformanceProfile\",\"version\":\"v1alpha1\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"performance.openshift.io\",\"kind\":\"PerformanceProfile\",\"version\":\"v2\"}}]}"}'
        name: performance-addon-operator.v4.10.9-performance-opera-7b88c95454
        sourceName: redhat-operators
        sourceNamespace: openshift-marketplace
        version: v1
      status: Unknown
    - resolving: performance-addon-operator.v4.10.9
      resource:
        group: rbac.authorization.k8s.io
        kind: ClusterRole
        manifest: '{"kind":"ConfigMap","name":"a481d6a901d73a7f171794082cff53536d40176a6b6132760287f11c53a823f","namespace":"openshift-marketplace","catalogSourceName":"redhat-operators","catalogSourceNamespace":"openshift-marketplace","replaces":"","properties":"{\"properties\":[{\"type\":\"olm.package\",\"value\":{\"packageName\":\"performance-addon-operator\",\"version\":\"4.10.9\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"performance.openshift.io\",\"kind\":\"PerformanceProfile\",\"version\":\"v1\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"performance.openshift.io\",\"kind\":\"PerformanceProfile\",\"version\":\"v1alpha1\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"performance.openshift.io\",\"kind\":\"PerformanceProfile\",\"version\":\"v2\"}}]}"}'
        name: performance-addon-operator.v4.10.9-69494897fc
        sourceName: redhat-operators
        sourceNamespace: openshift-marketplace
        version: v1
      status: Unknown
    - resolving: performance-addon-operator.v4.10.9
      resource:
        group: rbac.authorization.k8s.io
        kind: ClusterRoleBinding
        manifest: '{"kind":"ConfigMap","name":"a481d6a901d73a7f171794082cff53536d40176a6b6132760287f11c53a823f","namespace":"openshift-marketplace","catalogSourceName":"redhat-operators","catalogSourceNamespace":"openshift-marketplace","replaces":"","properties":"{\"properties\":[{\"type\":\"olm.package\",\"value\":{\"packageName\":\"performance-addon-operator\",\"version\":\"4.10.9\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"performance.openshift.io\",\"kind\":\"PerformanceProfile\",\"version\":\"v1\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"performance.openshift.io\",\"kind\":\"PerformanceProfile\",\"version\":\"v1alpha1\"}},{\"type\":\"olm.gvk\",\"value\":{\"group\":\"performance.openshift.io\",\"kind\":\"PerformanceProfile\",\"version\":\"v2\"}}]}"}'
        name: performance-addon-operator.v4.10.9-69494897fc
        sourceName: redhat-operators
        sourceNamespace: openshift-marketplace
        version: v1
      status: Unknown
    startTime: "2022-11-04T11:59:26Z"
kind: List
metadata:
  resourceVersion: ""
  selfLink: ""
